Bug 230347 - box-shadow and text-shadow do not yield float values while interpolating
Summary: box-shadow and text-shadow do not yield float values while interpolating
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Animations (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Antoine Quint
URL:
Keywords: InRadar
Depends on:
Blocks: 230404
  Show dependency treegraph
 
Reported: 2021-09-16 07:00 PDT by Antoine Quint
Modified: 2021-10-18 23:46 PDT (History)
19 users (show)

See Also:


Attachments
Patch (77.57 KB, patch)
2021-09-16 07:02 PDT, Antoine Quint
no flags Details | Formatted Diff | Diff
Patch (77.89 KB, patch)
2021-09-17 06:55 PDT, Antoine Quint
no flags Details | Formatted Diff | Diff
Patch (89.95 KB, patch)
2021-09-20 08:29 PDT, Antoine Quint
simon.fraser: review+
Details | Formatted Diff | Diff
Patch for landing (90.65 KB, patch)
2021-09-20 10:12 PDT, Antoine Quint
no flags Details | Formatted Diff | Diff
Patch for landing (92.17 KB, patch)
2021-10-18 08:35 PDT, Antoine Quint
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Antoine Quint 2021-09-16 07:00:48 PDT
box-shadow and text-shadow do not yield float values while interpolating
Comment 1 Antoine Quint 2021-09-16 07:02:48 PDT
Created attachment 438345 [details]
Patch
Comment 2 EWS Watchlist 2021-09-16 07:05:00 PDT
This patch modifies the imported WPT tests. Please ensure that any changes on the tests (not coming from a WPT import) are exported to WPT. Please see https://trac.webkit.org/wiki/WPTExportProcess
Comment 3 Antoine Quint 2021-09-16 07:12:35 PDT
Filed https://github.com/web-platform-tests/wpt/pull/30823 for the WPT changes.
Comment 4 Antoine Quint 2021-09-17 06:55:53 PDT
Created attachment 438468 [details]
Patch
Comment 5 Antoine Quint 2021-09-20 08:29:05 PDT
Created attachment 438681 [details]
Patch
Comment 6 Simon Fraser (smfr) 2021-09-20 08:41:45 PDT
Comment on attachment 438681 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=438681&action=review

> Source/WebCore/rendering/TextDecorationPainter.cpp:258
> +            int shadowX = LayoutUnit(m_isHorizontal ? shadow->x().value() : shadow->y().value());
> +            int shadowY = LayoutUnit(m_isHorizontal ? shadow->y().value() : -shadow->x().value());

These should be floats. Maybe we should even pixel snap them (not necessary for t his patch).

> Source/WebCore/rendering/TextDecorationPainter.cpp:278
> +            int shadowX = LayoutUnit(m_isHorizontal ? shadow->x().value() : shadow->y().value());
> +            int shadowY = LayoutUnit(m_isHorizontal ? shadow->y().value() : -shadow->x().value());

Same.
Comment 7 Antoine Quint 2021-09-20 10:12:49 PDT
Created attachment 438690 [details]
Patch for landing
Comment 8 Antoine Quint 2021-09-20 12:24:09 PDT
Committed r282768 (241903@main): <https://commits.webkit.org/241903@main>
Comment 9 Radar WebKit Bug Importer 2021-09-20 12:25:16 PDT
<rdar://problem/83319111>
Comment 10 Eric Hutchison 2021-09-21 10:26:30 PDT
Reverted r282768 for reason:

Slowdown on Mac EWS builders as a constant failure.

Committed r282826 (241957@main): <https://commits.webkit.org/241957@main>
Comment 11 Antoine Quint 2021-10-18 08:35:05 PDT
Created attachment 441605 [details]
Patch for landing
Comment 12 EWS 2021-10-18 23:46:08 PDT
Committed r284437 (243199@main): <https://commits.webkit.org/243199@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 441605 [details].